if OBJECT_ID(N'trace') is not null
	drop procedure dbo.trace
	go
	
create procedure [dbo].[trace]
	@proc_afectat nvarchar(50), --nom del procediment executat
	@params nvarchar(max), -- nom i valors dels parmetres d'entrada
	@estat bit, -- boolea que ens indica si l'execuci va anar b o malament
	@resultat nvarchar(200), -- descripci del resultat de l'execuci del procediment
	@rsp nvarchar(50) output -- cont la resposta de l'execuci del procediment
as
begin
	/*
	Descripci:
	Aquest procediment s'encarrega d'emmagatzemar una traa al log de l'execuci dels diferentes procediments
	i el resultat obtingut en funci de les dades introdudes.
	Si tot va b, retornem OK sino el cdi de error.
	*/
	set nocount on
		
	begin try
		insert into tw_log (data_execucio, proc_afectat, params, resultat, estat)
		values (getdate(), @proc_afectat, @params, @resultat, @estat)
		
		set @rsp = 'OK'
	end try
	begin catch
		set @rsp = 'ERROR ' + ERROR_MESSAGE()
	end catch
end
go