use TFC
go

if(exists(select * from sys.objects where object_id = object_id('[dbo].[ps_modul_estadistic]')))
	drop procedure ps_modul_estadistic
	go

create procedure [dbo].[ps_modul_estadistic]
	@any int = null,
	@rsp nvarchar(50) output
as
begin
	/*
	Descripci:
	S'obtener totes les dades estadistiques del mdul. Si se informa del any, noms agafar les dades del any definit, 
	en canvi, si no se informa agafar el registre ms alt del histric
	*/
	
	-- El benefici net total de tota la cadena
	select benefici_net from st_benefici_net where [any] = @any or (any_mes_benefici = 1 and @any is null)
	
	-- L'identificador de la botiga que ms beneficis nets ha aconseguit, aix com la xifra total d'aquest benefici en euros.
	select id_botiga, benefici_net from st_botiga_mes_benefici where [any] = @any or (any_mes_benefici = 1 and @any is null)
	
	-- L'identificador EAN13 del producte ms venut aix com la quantitat total d'unitats venudes.
	select identificador_ean13, quantitat from st_producte_mes_venut where [any] = @any or (any_producte_mes_venut = 1 and @any is null)
	
	-- L'hora del dia on ms productes s'han venut i la xifra de total de productes venuts.
	select hora, xifra_vendes from st_hora_mes_vendes where [any] = @any or (any_hora_mes_vendes = 1 and @any is null)
	
	-- L'hora del dia on menys productes s'han venut i la xifra total de productes venuts.
	select hora, xifra_vendes from st_hora_menys_vendes where [any] = @any or (any_hora_menys_vendes = 1 and @any is null)
	
	-- El dia del mes on ms vendes s'han realitzat i la xifra total de productes venuts.
	select dia, xifra_vendes from st_dia_mes_vendes where [any] = @any or (any_dia_mes_vendes = 1 and @any is null)
	
	-- El dia del mes on menys vendes s'han realitzat i la xifra total de productes venuts.
	select dia, xifra_vendes from st_dia_menys_vendes where [any] = @any or (any_dia_menys_vendes = 1 and @any is null)
	
	-- Ciutat on ms beneficis nets s'han obtingut juntament amb aquest benefici.
	select id_poblacio, beneficis from st_ciutat_mes_beneficis where [any] = @any or (any_ciutat_mes_beneficis = 1 and @any is null)
	
	-- Percentatge de beneficis obtinguts per tendes virtuals respecte al total de beneficis de la cadena.
	select id_poblacio, beneficis from st_ciutat_menys_beneficis where [any] = @any or (any_ciutat_menys_beneficis = 1 and @any is null)
end
go
