use TFC

set nocount on

/*
 * NOTA: 
 * - Valor boleans
 *		 0 - False
 *		 1 - True
 */

declare @rsp nvarchar(50)

--------------------------------------------------------------------------------

-- execuci erronea, poblaci no definida
exec pa_botigues 8888, 'test@tes.es', 1, 1, 0, @rsp output
select @rsp 'pa_botigues - con error'

-- execuci erronea, email no definit
exec pa_botigues 1, null, 1, 1, 0, @rsp output
select @rsp 'pa_botigues - con error'

-- execuci erronea, nombre de treballador igual a 0
exec pa_botigues 1, 'test@test.es', 0, 1, 1, @rsp output
select @rsp 'pa_botigues - con error'

-- execuci correcta
exec pa_botigues 1, 'test@test.es', 4, 1, 1, @rsp output
select @rsp 'pa_botigues - sense error'

---------------------------------------------------------------------------------------------

-- execuci erronea, botiga no definida
exec pm_botigues 9999, 14, 'test@tes.es', 1, 1, 0, @rsp output
select @rsp 'pm_botigues - con error'

-- execuci erronea, botiga donada de baixa
exec pm_botigues 18, 14, 'test@tes.es', 1, 1, 0, @rsp output
select @rsp 'pm_botigues - con error'

-- execuci erronea, poblaci no definida
exec pm_botigues 21, 8888, 'test@tes.es', 1, 1, 0, @rsp output
select @rsp 'pm_botigues - con error'

-- execuci erronea, email no definit
exec pm_botigues 21, 1, null, 1, 1, 0, @rsp output
select @rsp 'pm_botigues - con error'

-- execuci erronea, nombre de treballador igual a 0
exec pm_botigues 21, 1, 'test@test.es', 0, 1, 1, @rsp output
select @rsp 'pm_botigues - con error'

-- execuci correcta
exec pm_botigues 21, 1, 'test@test.es', 4, 1, 1, @rsp output
select @rsp 'pm_botigues - sense error'

--------------------------------------------------------------------------

-- execuci erronea, botiga no definida
exec pb_botigues 9999, @rsp output
select @rsp 'pb_botigues - con error'

-- execuci erronea, botiga donada de baixa
exec pb_botigues 18, @rsp output
select @rsp 'pb_botigues - con error'

-- execuci correcta
exec pb_botigues 21, @rsp output
select @rsp 'pb_botigues - sense error'

--------------------------------------------------------------------------

-- execuci erronea, identificador no informat
exec pa_productes null, 'descripcio prova 2', 10.0, 1.5, @rsp output
select @rsp 'pa_productes - con error'

-- execuci erronea, identificador existeix
exec pa_productes 8412345678905, 'descripcio prova 2', 10.0, 1.5, @rsp output
select @rsp 'pa_productes - con error'

-- execuci erronea, sense descripcio
exec pa_productes 4402906660009, '', 10.0, 1.5, @rsp output
select @rsp 'pa_productes - con error'

-- execuci erronea, preu brut negatiu
exec pa_productes 4402906660009, 'descripcio prova', -10.0, 1.5, @rsp output
select @rsp 'pa_productes - con error'

-- execuci erronea, benefici negatiu
exec pa_productes 4402906660009, 'descripcio prova', 10.0, -1.5, @rsp output
select @rsp 'pa_productes - con error'

-- execuci correcta, 
exec pa_productes 4402906660009, 'descripcio prova', 10.0, 1.5, @rsp output
select @rsp 'pa_productes - sense error'

--------------------------------------------------------------------------

-- execuci erronea, producte no existeix
exec pm_productes 9999999999999, 'descripcio prova 2', 10.0, 1.5, @rsp output
select @rsp 'pm_productes - con error'

-- execuci erronea, producte donat de baixa
exec pm_productes 8412345678905, 'descripcio prova 2', 10.0, 1.5, @rsp output
select @rsp 'pm_productes - con error'

-- execuci erronea, sense descripcio
exec pm_productes 4402906660009, '', 10.0, 1.5, @rsp output
select @rsp 'pm_productes - con error'

-- execuci erronea, preu brut negatiu
exec pm_productes 4402906660009, 'descripcio prova 2', -10.0, 1.5, @rsp output
select @rsp 'pm_productes - con error'

-- execuci erronea, benefici negatiu
exec pm_productes 4402906660009, 'descripcio prova 2', 10.0, -1.5, @rsp output
select @rsp 'pm_productes - con error'

-- execuci correcta, 
exec pm_productes 4402906660009, 'descripcio prova 2', 10.0, 1.5, @rsp output
select @rsp 'pm_productes - sense error'

--------------------------------------------------------------------------

-- execuci erronea, producte no existeix
exec pb_productes 9999999999999, @rsp output
select @rsp 'pb_productes - con error'

-- execuci erronea, producte donat de baixa
exec pb_productes 8412345678905, @rsp output
select @rsp 'pb_productes - con error'

-- execuci erronea, sense descripcio
exec pb_productes 4402906660009, @rsp output
select @rsp 'pb_productes - con error'

--------------------------------------------------------------------

-- execuci erronea, botiga no informada
exec pa_vendes null, '8400000000192', '01/12/2015', 12, 1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci erronea, botiga donada de baixa
exec pa_vendes 18, '8400000000192', '01/12/2015', 12, 1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci erronea, producte no existeix
exec pa_vendes 20, '9999999999999', '01/12/2015', 12, 1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci erronea, producte donat de baixa
exec pa_vendes 20, '8412345678905', '01/12/2015', 12, 1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci erronea, data venda no vlida
exec pa_vendes 20, '8400000000192', NULL, 12, 1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci erronea, hora venda no vlida
exec pa_vendes 20, '8400000000192', '01/12/2015', -1, 1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci erronea, quantitat venuda no vlida
exec pa_vendes 20, '8400000000192', '01/12/2015', 11, -1, @rsp output
select @rsp 'pa_vendes - con error'

-- execuci correcte
exec pa_vendes 20, '8400000000192', '01/01/2016', 11, 3, @rsp output
select @rsp 'pa_vendes - sense error'

--------------------------------------------------------------------

-- execuci erronea, botiga no informada
exec pm_vendes null, '8400000000192', '01/12/2015', 12, 1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, botiga donada de baixa
exec pm_vendes 18, '8400000000192', '01/12/2015', 12, 1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, producte no existeix
exec pm_vendes 20, '9999999999999', '01/12/2015', 12, 1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, producte donat de baixa
exec pm_vendes 20, '8412345678905', '01/12/2015', 12, 1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, data venda no vlida
exec pm_vendes 20, '8400000000192', NULL, 12, 1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, hora venda no vlida
exec pm_vendes 20, '8400000000192', '01/12/2015', -1, 1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, quantitat venuda no vlida
exec pm_vendes 20, '8400000000192', '01/12/2015', 11, -1, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci erronea, no es troba ninguna venda amb aquestes caracteristiques
exec pm_vendes 1, '8400000000192', '01/12/2015', 11, 4, @rsp output
select @rsp 'pm_vendes - con error'

-- execuci correcte
exec pm_vendes 20, '8400000000192', '01/12/2015', 11, 3, @rsp output
select @rsp 'pm_vendes - sense error'

--------------------------------------------------------------------

-- execuci erronea, botiga no informada
exec pb_vendes null, '8400000000192', '01/12/2015', 12, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci erronea, botiga donada de baixa
exec pb_vendes 18, '8400000000192', '01/12/2015', 12, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci erronea, producte no existeix
exec pb_vendes 20, '9999999999999', '01/12/2015', 12, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci erronea, producte donat de baixa
exec pb_vendes 20, '8412345678905', '01/12/2015', 12, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci erronea, data venda no vlida
exec pb_vendes 20, '8400000000192', NULL, 12, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci erronea, hora venda no vlida
exec pb_vendes 20, '8400000000192', '01/12/2015', -1, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci erronea, no es troba ninguna venda amb aquestes caracteristiques
exec pb_vendes 1, '8400000000192', '01/12/2015', 11, @rsp output
select @rsp 'pb_vendes - con error'

-- execuci correcte
exec pb_vendes 20, '8400000000192', '01/12/2015', 11, @rsp output
select @rsp 'pb_vendes - sense error'

-- execuci erronea, la venda ja esta donada de baixa
exec pb_vendes 20, '8400000000192', '01/12/2015', 11, @rsp output
select @rsp 'pb_vendes - con error'

--------------------------------------------------------------------

exec ps_botigues_llistat 2015, 11, @rsp output
select @rsp 'ps_botigues_llistat'

exec ps_productes_cataleg 2015, 11, @rsp output
select @rsp 'ps_productes_cataleg'

exec ps_benefici_per_dia 2015, 11, @rsp output
select @rsp 'ps_benefici_per_dia'

--------------------------------------------------------------------

exec ps_modul_estadistic 2015, @rsp output
select @rsp 'mdul estadstic any 2015'

exec ps_modul_estadistic null, @rsp output
select @rsp 'mdul estadstic any 2015'